diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index 34a7034282..e22dc5f3b0 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -1810,7 +1810,7 @@ Replication commands are logged in the server log when
 <para>
 The commands accepted in replication mode are:
 <variablelist>
-  <varlistentry>
+  <varlistentry id="protocol-replication-identify-system" xreflabel="IDENTIFY_SYSTEM">
     <term><literal>IDENTIFY_SYSTEM</literal>
      <indexterm><primary>IDENTIFY_SYSTEM</primary></indexterm>
     </term>
@@ -1875,7 +1875,7 @@ The commands accepted in replication mode are:
     </listitem>
   </varlistentry>
 
-  <varlistentry>
+  <varlistentry id="protocol-replication-show" xreflabel="SHOW">
     <term><literal>SHOW</literal> <replaceable class="parameter">name</replaceable>
      <indexterm><primary>SHOW</primary></indexterm>
     </term>
@@ -1899,7 +1899,7 @@ The commands accepted in replication mode are:
     </listitem>
   </varlistentry>
 
-  <varlistentry>
+  <varlistentry id="protocol-replication-timeline-history" xreflabel="TIMELINE_HISTORY">
     <term><literal>TIMELINE_HISTORY</literal> <replaceable class="parameter">tli</replaceable>
      <indexterm><primary>TIMELINE_HISTORY</primary></indexterm>
     </term>
@@ -2084,7 +2084,7 @@ The commands accepted in replication mode are:
     </listitem>
   </varlistentry>
 
-  <varlistentry>
+  <varlistentry id="protocol-replication-create-slot-legacy">
     <term><literal>CREATE_REPLICATION_SLOT</literal> <replaceable class="parameter">slot_name</replaceable> [ <literal>TEMPORARY</literal> ] { <literal>PHYSICAL</literal> [ <literal>RESERVE_WAL</literal> ] | <literal>LOGICAL</literal> <replaceable class="parameter">output_plugin</replaceable> [ <literal>EXPORT_SNAPSHOT</literal> | <literal>NOEXPORT_SNAPSHOT</literal> | <literal>USE_SNAPSHOT</literal> | <literal>TWO_PHASE</literal> ] }
     </term>
     <listitem>
@@ -2095,7 +2095,7 @@ The commands accepted in replication mode are:
     </listitem>
   </varlistentry>
 
-  <varlistentry>
+  <varlistentry id="protocol-replication-read-replication-slot" xreflabel="READ_REPLICATION_SLOT">
     <term><literal>READ_REPLICATION_SLOT</literal> <replaceable class="parameter">slot_name</replaceable>
       <indexterm><primary>READ_REPLICATION_SLOT</primary></indexterm>
     </term>
@@ -2143,7 +2143,7 @@ The commands accepted in replication mode are:
     </listitem>
   </varlistentry>
 
-  <varlistentry>
+  <varlistentry id="protocol-replication-start-replication" xreflabel="START_REPLICATION">
     <term><literal>START_REPLICATION</literal> [ <literal>SLOT</literal> <replaceable class="parameter">slot_name</replaceable> ] [ <literal>PHYSICAL</literal> ] <replaceable class="parameter">XXX/XXX</replaceable> [ <literal>TIMELINE</literal> <replaceable class="parameter">tli</replaceable> ]
      <indexterm><primary>START_REPLICATION</primary></indexterm>
     </term>
@@ -2201,7 +2201,7 @@ The commands accepted in replication mode are:
 
      <para>
       <variablelist>
-      <varlistentry>
+      <varlistentry id="protocol-replication-xlogdata" xreflabel="XLogData">
       <term>
           XLogData (B)
       </term>
@@ -2270,7 +2270,7 @@ The commands accepted in replication mode are:
       </para>
       </listitem>
       </varlistentry>
-      <varlistentry>
+      <varlistentry id="protocol-replication-primary-keepalive-message" xreflabel="Primary keepalive message">
       <term>
           Primary keepalive message (B)
       </term>
@@ -2334,7 +2334,7 @@ The commands accepted in replication mode are:
 
      <para>
       <variablelist>
-      <varlistentry>
+      <varlistentry id="protocol-replication-standby-status-update" xreflabel="Standby status update">
       <term>
           Standby status update (F)
       </term>
@@ -2415,7 +2415,7 @@ The commands accepted in replication mode are:
 
      <para>
       <variablelist>
-      <varlistentry>
+      <varlistentry id="protocol-replication-hot-standby-feedback-message" xreflabel="Hot Standby feedback message">
       <term>
           Hot Standby feedback message (F)
       </term>
@@ -2497,7 +2497,7 @@ The commands accepted in replication mode are:
      </para>
     </listitem>
   </varlistentry>
-  <varlistentry>
+  <varlistentry id="protocol-replication-start-replication-slot-logical" xreflabel="START_REPLICATION SLOT">
     <term><literal>START_REPLICATION</literal> <literal>SLOT</literal> <replaceable class="parameter">slot_name</replaceable> <literal>LOGICAL</literal> <replaceable class="parameter">XXX/XXX</replaceable> [ ( <replaceable>option_name</replaceable> [ <replaceable>option_value</replaceable> ] [, ...] ) ]</term>
     <listitem>
      <para>
@@ -2572,7 +2572,7 @@ The commands accepted in replication mode are:
     </listitem>
   </varlistentry>
 
-  <varlistentry>
+  <varlistentry id="protocol-replication-drop-replication-slot" xreflabel="DROP_REPLICATION_SLOT">
     <term>
      <literal>DROP_REPLICATION_SLOT</literal> <replaceable class="parameter">slot_name</replaceable> <optional> <literal>WAIT</literal> </optional>
      <indexterm><primary>DROP_REPLICATION_SLOT</primary></indexterm>
@@ -2886,7 +2886,7 @@ The commands accepted in replication mode are:
     </listitem>
   </varlistentry>
 
-  <varlistentry>
+  <varlistentry id="protocol-replication-base-backup-legacy">
     <term><literal>BASE_BACKUP</literal> [ <literal>LABEL</literal> <replaceable>'label'</replaceable> ] [ <literal>PROGRESS</literal> ] [ <literal>FAST</literal> ] [ <literal>WAL</literal> ] [ <literal>NOWAIT</literal> ] [ <literal>MAX_RATE</literal> <replaceable>rate</replaceable> ] [ <literal>TABLESPACE_MAP</literal> ] [ <literal>NOVERIFY_CHECKSUMS</literal> ] [ <literal>MANIFEST</literal> <replaceable>manifest_option</replaceable> ] [ <literal>MANIFEST_CHECKSUMS</literal> <replaceable>checksum_algorithm</replaceable> ]
     </term>
     <listitem>
@@ -3138,7 +3138,7 @@ of any individual CopyData message cannot be interpretable on their own.)
 <variablelist>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationok" xreflabel="AuthenticationOk">
 <term>
 AuthenticationOk (B)
 </term>
@@ -3183,7 +3183,7 @@ AuthenticationOk (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationkerberosv5" xreflabel="AuthenticationKerberosV5">
 <term>
 AuthenticationKerberosV5 (B)
 </term>
@@ -3227,7 +3227,7 @@ AuthenticationKerberosV5 (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationcleartextpassword" xreflabel="AuthenticationCleartextPassword">
 <term>
 AuthenticationCleartextPassword (B)
 </term>
@@ -3271,7 +3271,7 @@ AuthenticationCleartextPassword (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationmd5password" xreflabel="AuthenticationMD5Password">
 <term>
 AuthenticationMD5Password (B)
 </term>
@@ -3326,7 +3326,7 @@ AuthenticationMD5Password (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationscmcredential" xreflabel="AuthenticationSCMCredential">
 <term>
 AuthenticationSCMCredential (B)
 </term>
@@ -3371,7 +3371,7 @@ AuthenticationSCMCredential (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationgss" xreflabel="AuthenticationGSS">
 <term>
 AuthenticationGSS (B)
 </term>
@@ -3416,7 +3416,7 @@ AuthenticationGSS (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationgsscontinue" xreflabel="AuthenticationGSSContinue">
 <term>
 AuthenticationGSSContinue (B)
 </term>
@@ -3471,7 +3471,7 @@ AuthenticationGSSContinue (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationsspi" xreflabel="AuthenticationSSPI">
 <term>
 AuthenticationSSPI (B)
 </term>
@@ -3516,7 +3516,7 @@ AuthenticationSSPI (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationsasl" xreflabel="AuthenticationSASL">
 <term>
 AuthenticationSASL (B)
 </term>
@@ -3577,7 +3577,7 @@ following:
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationsaslcontinue" xreflabel="AuthenticationSASLContinue">
 <term>
 AuthenticationSASLContinue (B)
 </term>
@@ -3632,7 +3632,7 @@ AuthenticationSASLContinue (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-authenticationsaslfinal" xreflabel="AuthenticationSASLFinal">
 <term>
 AuthenticationSASLFinal (B)
 </term>
@@ -3688,7 +3688,7 @@ AuthenticationSASLFinal (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-backendkeydata" xreflabel="BackendKeyData">
 <term>
 BackendKeyData (B)
 </term>
@@ -3745,7 +3745,7 @@ BackendKeyData (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-bind" xreflabel="Bind">
 <term>
 Bind (F)
 </term>
@@ -3898,7 +3898,7 @@ Bind (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-bindcomplete" xreflabel="BindComplete">
 <term>
 BindComplete (B)
 </term>
@@ -3933,7 +3933,7 @@ BindComplete (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-cancelrequest" xreflabel="CancelRequest">
 <term>
 CancelRequest (F)
 </term>
@@ -3991,7 +3991,7 @@ CancelRequest (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-close" xreflabel="Close">
 <term>
 Close (F)
 </term>
@@ -4048,7 +4048,7 @@ Close (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-closecomplete" xreflabel="CloseComplete">
 <term>
 CloseComplete (B)
 </term>
@@ -4083,7 +4083,7 @@ CloseComplete (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-commandcomplete" xreflabel="CommandComplete">
 <term>
 CommandComplete (B)
 </term>
@@ -4182,7 +4182,7 @@ CommandComplete (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-copydata" xreflabel="CopyData">
 <term>
 CopyData (F &amp; B)
 </term>
@@ -4228,7 +4228,7 @@ CopyData (F &amp; B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-copydone" xreflabel="CopyDone">
 <term>
 CopyDone (F &amp; B)
 </term>
@@ -4263,7 +4263,7 @@ CopyDone (F &amp; B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-copyfail" xreflabel="CopyFail">
 <term>
 CopyFail (F)
 </term>
@@ -4308,7 +4308,7 @@ CopyFail (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-copyinresponse" xreflabel="CopyInResponse">
 <term>
 CopyInResponse (B)
 </term>
@@ -4384,7 +4384,7 @@ CopyInResponse (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-copyoutresponse" xreflabel="CopyOutResponse">
 <term>
 CopyOutResponse (B)
 </term>
@@ -4457,7 +4457,7 @@ CopyOutResponse (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-copybothresponse" xreflabel="CopyBothResponse">
 <term>
 CopyBothResponse (B)
 </term>
@@ -4530,7 +4530,7 @@ CopyBothResponse (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-datarow" xreflabel="DataRow">
 <term>
 DataRow (B)
 </term>
@@ -4602,7 +4602,7 @@ DataRow (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-describe" xreflabel="Describe">
 <term>
 Describe (F)
 </term>
@@ -4659,7 +4659,7 @@ Describe (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-emptyqueryresponse" xreflabel="EmptyQueryResponse">
 <term>
 EmptyQueryResponse (B)
 </term>
@@ -4695,7 +4695,7 @@ EmptyQueryResponse (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-errorresponse" xreflabel="ErrorResponse">
 <term>
 ErrorResponse (B)
 </term>
@@ -4761,7 +4761,7 @@ ErrorResponse (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-execute" xreflabel="Execute">
 <term>
 Execute (F)
 </term>
@@ -4818,7 +4818,7 @@ Execute (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-flush" xreflabel="Flush">
 <term>
 Flush (F)
 </term>
@@ -4853,7 +4853,7 @@ Flush (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-functioncall" xreflabel="FunctionCall">
 <term>
 FunctionCall (F)
 </term>
@@ -4978,7 +4978,7 @@ FunctionCall (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-functioncallresponse" xreflabel="FunctionCallResponse">
 <term>
 FunctionCallResponse (B)
 </term>
@@ -5038,7 +5038,7 @@ FunctionCallResponse (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-gssencrequest" xreflabel="GSSENCRequest">
 <term>
 GSSENCRequest (F)
 </term>
@@ -5076,7 +5076,7 @@ GSSENCRequest (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-gssresponse" xreflabel="GSSResponse">
 <term>
 GSSResponse (F)
 </term>
@@ -5121,7 +5121,7 @@ GSSResponse (F)
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-negotiateprotocolversion" xreflabel="NegotiateProtocolVersion">
 <term>
 NegotiateProtocolVersion (B)
 </term>
@@ -5190,7 +5190,7 @@ NegotiateProtocolVersion (B)
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-nodata" xreflabel="NoData">
 <term>
 NoData (B)
 </term>
@@ -5225,7 +5225,7 @@ NoData (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-noticeresponse" xreflabel="NoticeResponse">
 <term>
 NoticeResponse (B)
 </term>
@@ -5291,7 +5291,7 @@ NoticeResponse (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-notificationresponse" xreflabel="NotificationResponse">
 <term>
 NotificationResponse (B)
 </term>
@@ -5356,7 +5356,7 @@ NotificationResponse (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-parameterdescription" xreflabel="ParameterDescription">
 <term>
 ParameterDescription (B)
 </term>
@@ -5414,7 +5414,7 @@ ParameterDescription (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-parameterstatus" xreflabel="ParameterStatus">
 <term>
 ParameterStatus (B)
 </term>
@@ -5468,7 +5468,7 @@ ParameterStatus (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-parse" xreflabel="Parse">
 <term>
 Parse (F)
 </term>
@@ -5552,7 +5552,7 @@ Parse (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-parsecomplete" xreflabel="ParseComplete">
 <term>
 ParseComplete (B)
 </term>
@@ -5587,7 +5587,7 @@ ParseComplete (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-passwordmessage" xreflabel="PasswordMessage">
 <term>
 PasswordMessage (F)
 </term>
@@ -5633,7 +5633,7 @@ PasswordMessage (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-portalsuspended" xreflabel="PortalSuspended">
 <term>
 PortalSuspended (B)
 </term>
@@ -5670,7 +5670,7 @@ PortalSuspended (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-query" xreflabel="Query">
 <term>
 Query (F)
 </term>
@@ -5715,7 +5715,7 @@ Query (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-readyforquery" xreflabel="ReadyForQuery">
 <term>
 ReadyForQuery (B)
 </term>
@@ -5765,7 +5765,7 @@ ReadyForQuery (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-rowdescription" xreflabel="RowDescription">
 <term>
 RowDescription (B)
 </term>
@@ -5890,7 +5890,7 @@ RowDescription (B)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-saslinitialresponse" xreflabel="SASLInitialResponse">
 <term>
 SASLInitialResponse (F)
 </term>
@@ -5958,7 +5958,7 @@ SASLInitialResponse (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-saslresponse" xreflabel="SASLResponse">
 <term>
 SASLResponse (F)
 </term>
@@ -6004,7 +6004,7 @@ SASLResponse (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-sslrequest" xreflabel="SSLRequest">
 <term>
 SSLRequest (F)
 </term>
@@ -6042,7 +6042,7 @@ SSLRequest (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-startupmessage" xreflabel="StartupMessage">
 <term>
 StartupMessage (F)
 </term>
@@ -6171,7 +6171,7 @@ StartupMessage (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-sync" xreflabel="Sync">
 <term>
 Sync (F)
 </term>
@@ -6206,7 +6206,7 @@ Sync (F)
 </varlistentry>
 
 
-<varlistentry>
+<varlistentry id="protocol-message-formats-terminate" xreflabel="Terminate">
 <term>
 Terminate (F)
 </term>
@@ -6537,7 +6537,7 @@ flow as physical replication.
 
 <variablelist>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-begin" xreflabel="Begin">
 <term>
 Begin
 </term>
@@ -6592,7 +6592,7 @@ Begin
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-message" xreflabel="Message">
 <term>
 Message
 </term>
@@ -6680,7 +6680,7 @@ Message
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-commit" xreflabel="Commit">
 <term>
 Commit
 </term>
@@ -6745,7 +6745,7 @@ Commit
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-origin" xreflabel="Origin">
 <term>
 Origin
 </term>
@@ -6794,7 +6794,7 @@ Origin
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-relation" xreflabel="Relation">
 <term>
 Relation
 </term>
@@ -6926,7 +6926,7 @@ Relation
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-type" xreflabel="Type">
 <term>
 Type
 </term>
@@ -6991,7 +6991,7 @@ Type
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-insert" xreflabel="Insert">
 <term>
 Insert
 </term>
@@ -7058,7 +7058,7 @@ Insert
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-update" xreflabel="Update">
 <term>
 Update
 </term>
@@ -7172,7 +7172,7 @@ Update
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-delete" xreflabel="Delete">
 <term>
 Delete
 </term>
@@ -7261,7 +7261,7 @@ Delete
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-truncate" xreflabel="Truncate">
 <term>
 Truncate
 </term>
@@ -7339,7 +7339,7 @@ Stream Abort) are available since protocol version 2.
 
 <variablelist>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-stream-start" xreflabel="Stream Start">
 <term>
 Stream Start
 </term>
@@ -7384,7 +7384,7 @@ Stream Start
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-stream-stop" xreflabel="Stream Stop">
 <term>
 Stream Stop
 </term>
@@ -7408,7 +7408,7 @@ Stream Stop
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-stream-commit" xreflabel="Stream Commit">
 <term>
 Stream Commit
 </term>
@@ -7483,7 +7483,7 @@ Stream Commit
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-stream-abort" xreflabel="Stream Abort">
 <term>
 Stream Abort
 </term>
@@ -7537,7 +7537,7 @@ are available since protocol version 3.
 
 <variablelist>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-begin-prepare" xreflabel="Begin Prepare">
 
 <term>Begin Prepare</term>
 <listitem>
@@ -7602,7 +7602,7 @@ are available since protocol version 3.
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-prepare" xreflabel="Prepare">
 
 <term>Prepare</term>
 <listitem>
@@ -7676,7 +7676,7 @@ are available since protocol version 3.
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-commit-prepared" xreflabel="Commit Prepared">
 
 <term>Commit Prepared</term>
 <listitem>
@@ -7750,7 +7750,7 @@ are available since protocol version 3.
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-rollback-prepared" xreflabel="Rollback Prepared">
 
 <term>Rollback Prepared</term>
 <listitem>
@@ -7834,7 +7834,7 @@ are available since protocol version 3.
 </listitem>
 </varlistentry>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-stream-prepare" xreflabel="Stream Prepare">
 
 <term>Stream Prepare</term>
 <listitem>
@@ -7918,7 +7918,7 @@ The following message parts are shared by the above messages.
 
 <variablelist>
 
-<varlistentry>
+<varlistentry id="protocol-logicalrep-message-formats-tupledata" xreflabel="TupleData">
 <term>
 TupleData
 </term>
